<?php
function render_page_header($page_title) {
	global $settings; ?>

	<!DOCTYPE html>
	<html class="<?= $settings['theme'] ?>">
	<head>
		<title><?= htmlspecialchars($page_title) ?> - LiteXiv</title>

		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<link href="<?= BASE_URL ?>/main.css" rel="stylesheet">
	</head>

	<body>
		<nav>
			<div class="container">
				<div class="title">
					<a href="<?= BASE_URL ?>/">LiteXiv</a>
				</div>
				<form class="search-bar" action="<?= BASE_URL ?>/tags/" method="post">
					<input type="text" name="q" placeholder="<?= get_string('search.placeholder') ?>" required>
				</form>
				<div>
					<a href="<?= BASE_URL ?>/settings/"><?= get_string('settings.title') ?></a>
				</div>
			</div>
		</nav>

		<main><?php
}

function render_page_footer() { ?>
		</main>

		<footer>
			<div class="container">
				<div>LiteXiv v1.2.0</div>
				<div><a target="_blank" href="https://codeberg.org/Peaksol/LiteXiv"><?= get_string('source-code') ?></a></div>
				<div><a target="_blank" href="<?= BASE_URL ?>/LICENSE"><?= get_string('license') ?></a></div>
			</div>
		</footer>
	</body>
	</html><?php
}
